<div class="map">
    <!-- <div class="modal-header">
        <h3 class="modal-title">Angular Google Maps with Places Search Example</h3>
        <button type="button" class="close" data-dismiss="modal" (click)="closeModal('dismiss')">
            <span aria-hidden="true">&times;</span>
        </button>
    </div> -->
    <div class="modal-body">
    
        <!-- <div class="form-group">
            <input type="text" class="form-control" (keydown.enter)="$event.preventDefault()"
                placeholder="Search Nearest Location" autocorrect="off" autocapitalize="off" spellcheck="off" type="text"
                #search>
        </div> -->
    <ng-container *ngIf="showMap">
        <agm-map [latitude]="lat" [longitude]="long">
            <agm-marker [latitude]="lat" [longitude]="long" [markerDraggable]="true"
                ></agm-marker>
        </agm-map>
    </ng-container>
        
<!--     
        <h5>Address: {{address}}</h5>
        <div>Latitude: {{lat}}</div>
        <div>Longitude: {{lng}}</div>
    
     -->
    </div>
    <!-- <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="closeModal('close')">Close</button>
        <button type="button" class="btn btn-primary" (click)="saveLocation()">Save Location</button>
    </div> -->
</div>









